### Function

# Babl fish

#### Declaration [src]

    const Babl*
    babl_fish (
      void* source_format,
      void* destination_format
    )

#### Description [src]

Create a babl fish capable of converting from source_format to destination_format, source and destination can be either strings with the names of the formats or Babl-format objects.

#### Parameters

`source_format`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destination_format`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.